Summary: Man (manual) pages from the Linux Documentation Project.
Name: man-pages
Version: 1.37
%define manfr man-pages_fr-1.19
%define manit man-pages-it-0.3.0
%define mancs man-pages-cs-0.12
%define mande man-de-0.2
%define manes man-es-0.7a
%define manru man-ru-0.1
Release: 2tr
Copyright: distributable
Group: Documentation
Source0: ftp://ftp.win.tue.nl/pub/linux/docs/manpages/man-pages-%{version}.tar.gz
Source1: rpcgen.1
Source2: netman-cvs.tar.gz
Source3: %{manfr}.tar.gz
Source4: ftp://medicis2.univ-rennes1.fr/pub/man-pages/%{manit}.tar.gz
Source5: ftp://ftp.inet.cz/pub/People/Pavel.Janik/CeskeManualoveStranky/%{mancs}.tar.gz
Source6: ftp://ftp.Infodrom.North.DE/pub/Linux/Devel/%{mande}.tar.gz
Source7: http://www.ditec.um.es/~piernas/manpages-es/%{manes}.tar.gz
Source8: http://www.lgg.ru/~slackl/russian/manuals/%{manru}.tar.gz
Source9: man2.tar.gz
Patch3: man-pages-1.23-ftw.patch
Patch4: man-pages-1.26-getcwd.patch
Buildroot: /var/tmp/man-pages
Autoreqprov: false
BuildArchitectures: noarch

%description
A large collection of man pages (documentation) from the Linux
Documentation Project (LDP).  The man pages are organized into the
following sections: Section 1, user commands (intro only); Section 2,
system calls; Section 3, libc calls; Section 4, devices (e.g., hd,
sd); Section 5, file formats and protocols (e.g., wtmp, /etc/passwd,
nfs); Section 6, games (intro only); Section 7, conventions, macro
packages, etc. (e.g., nroff, ascii); and Section 8, system
administration (intro only).

%prep
%setup -q -a 2 -a 3 -a 4 -a 5 -a 6 -a 7 -a 8 -a 9

# I left the .b off of this to keep from having old versions in file lists
cp -a %{SOURCE1} man1
for i in 2 3 4 ; do 
    mv *.$i man$i
done

%build
rm -fv man1/README
mv -fv man1/COPYING .
rm -fv man1/{chgrp,chmod,chown,cp,dd,df,dircolors,du,install}.1
rm -fv man1/{ln,ls,mkdir,mkfifo,mknod,mv,rm,rmdir,touch}.1
rm -fv man1/{dir,vdir}.1
rm -fv man2/modules.2 man2/quotactl.2 man2/get_kernel_syms.2 
rm -fv man2/{create,delete,init,query}_module.2
rm -fv man2/cap{g,s}et.2
rm -fv man3/rand.3
rm -fv man3/resolver.3
rm -fv man3/getnetent.3
rm -fv man3/getaddrinfo.3
rm -fv man4/console.4
rm -fv man5/exports.5
rm -fv man5/nfs.5
rm -fv man5/fstab.5
rm -fv man5/resolver.5
rm -fv man8/lilo.8
find . -name "*sudo*" -exec rm {} \;

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/usr/share/man
for n in 1 2 3 4 5 6 7 8; do
	mkdir $RPM_BUILD_ROOT/usr/share/man/man$n
done
for n in man?/*; do
	cp -a $n $RPM_BUILD_ROOT/usr/share/man/$n
done
cp -av %{manfr}/usr/man/fr $RPM_BUILD_ROOT/usr/share/man
mkdir -p $RPM_BUILD_ROOT/usr/share/man/it
cp -av %{manit}/man? $RPM_BUILD_ROOT/usr/share/man/it

mkdir -p $RPM_BUILD_ROOT/usr/share/man/cs
cp -av %{mancs}/man? $RPM_BUILD_ROOT/usr/share/man/cs

mkdir -p $RPM_BUILD_ROOT/usr/share/man/de
cp -av manpages-de/man? $RPM_BUILD_ROOT/usr/share/man/de

mkdir -p $RPM_BUILD_ROOT/usr/share/man/es
cp -av man-pages-es-0.7a/man? $RPM_BUILD_ROOT/usr/share/man/es

mkdir -p $RPM_BUILD_ROOT/usr/share/man/ru
cp -av manpages-ru/man? $RPM_BUILD_ROOT/usr/share/man/ru


%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc COPYING README
%defattr(0644,root,man,2755)
/usr/share/man/man*/*
%lang(fr) /usr/share/man/fr
%lang(it) /usr/share/man/it
%lang(cs) /usr/share/man/cs
%lang(de) /usr/share/man/de
%lang(es) /usr/share/man/es
%lang(ru) /usr/share/man/ru


%changelog
* Wed Jun  6 2001 Oystein Viggen <oysteivi@trustix.com>
- New upstream version: 1.37

* Wed Nov 29 2000 Erlend Midttun <erlendbm@trustix.com>
- Removed resolver(5) man pages as it conflicted with bind-utils.
  Thanks to Janke Ronnblom <jan-ake.ronnblom@skeria.skelleftea.se>.

* Thu Sep 14 2000 Per Ivar Paulsen <perp@trustix.com>
- Picked up 1.31. Removed some patches. Cleaned up.

* Mon Feb 21 2000 Erlend Midttun <erlendbm@trustix.com>
- Moved man pages to comply with FHS 2.0

* Fri Feb 04 2000 Cristian Gafton <gafton@redhat.com>
- remove non-man pages (#7814)

* Fri Feb  4 2000 Matt Wilson <msw@redhat.com>
- exclude dir.1 and vdir.1 (these are in the fileutils package)

* Thu Feb 03 2000 Cristian Gafton <gafton@redhat.com>
- version 1.28

* Fri Nov 05 1999 Michael K. Johnson <johnsonm@redhat.com>
- Fixed SIGILL, SIGQUIT in signals.7

* Wed Oct 06 1999 Cristian Gafton <gafton@redhat.com>
- fox man page for getcwd

* Wed Sep 22 1999 Cristian Gafton <gafton@redhat.com>
- added man pages for set/getcontext

* Tue Sep 14 1999 Bill Nottingham <notting@redhat.com>
- remove some bad man pages

* Mon Sep 13 1999 Preston Brown <pbrown@redhat.com>
- czech, german, spanish, russian man pages

* Thu Sep 09 1999 Cristian Gafton <gafton@redhat.com>
- version 1.26
- add french man pages
- add italian man pages

* Fri Jul 23 1999 Jeff Johnson <jbj@redhat.com>
- update to 1.25.

* Fri Apr 16 1999 Cristian Gafton <gafton@redhat.com>
- fiox man page fro ftw

* Mon Apr 05 1999 Cristian Gafton <gafton@redhat.com>
- spellnig fixse

* Tue Mar 30 1999 Bill Nottingham <notting@redhat.com>
- updated to 1.23

* Thu Mar 25 1999 Cristian Gafton <gafton@redhat.com>
- added kernel net manpages

* Mon Mar 22 1999 Erik Troan <ewt@redhat.com>
- updated printf man page
- added rpcgen man page

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 6)

* Thu Mar 18 1999 Cristian Gafton <gafton@redhat.com>
- leave the lilo man pages alone (oops)

* Fri Feb 12 1999 Michael Maher <mike@redhat.com>
- fixed bug #413

* Mon Jan 18 1999 Cristian Gafton <gafton@redhat.com>
- remove lilo man pages too
- got rebuilt for 6.0

* Tue Sep 08 1998 Cristian Gafton <gafton@redhat.com>
- version 1.21

* Sat Jun 20 1998 Jeff Johnson <jbj@redhat.com>
- updated to 1.20

* Wed May 06 1998 Cristian Gafton <gafton@redhat.com>
- get rid of the modutils man pages
- updated to 1.19

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Apr 08 1998 Erik Troan <ewt@redhat.com>
- updated to 1.18

* Sun Oct 19 1997 Erik Troan <ewt@redhat.com>
- updated to 1.17
- moved build root to /var

* Thu Jul 31 1997 Erik Troan <ewt@redhat.com>
- made a noarch package
